Package be.fgov.ehealth.dics.protocol.v4

# Class FindAmpRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v4.FindAmpRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class FindAmpRequest extends RequestType implements Serializable

Java class for FindAmpRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindAmpRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="FindByProduct" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByActualProductType" minOccurs="0"/>
             <element name="FindByPackage" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByPackageType" minOccurs="0"/>
             <element name="FindByDmpp" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}DmppKeyType" minOccurs="0"/>
             <element name="FindByIngredient" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByIngredientType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="FindByVirtualProduct" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByVirtualProductType" minOccurs="0"/>
             <element name="FindByGenericPrescriptionGroup" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByGenericPrescriptionGroupType" minOccurs="0"/>
             <element name="FindByCompany" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByCompanyType" minOccurs="0"/>
             <element name="HasComponentWith" type="{urn:be:fgov:ehealth:dics:protocol:v4}HasActualComponentWithType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindAmpRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindByCompanyType`
  `getFindByCompany()`
  Search an AMP based on the distributing company.
  `DmppKeyType`
  `getFindByDmpp()`
  Search an AMP based on a DMPP identifier.
  `FindByGenericPrescriptionGroupType`
  `getFindByGenericPrescriptionGroup()`
  Search an AMP based on corresponding Generic Prescription Group code or name.
  `List<FindByIngredientType>`
  `getFindByIngredients()`
  Search an AMP based on ingredients.
  `FindByPackageType`
  `getFindByPackage()`
  Search an AMP based on an AMPP identifier or any package name part.
  `FindByActualProductType`
  `getFindByProduct()`
  Search by AMP code or a combination of name parts.
  `FindByVirtualProductType`
  `getFindByVirtualProduct()`
  Search an AMP based on corresponding VMP code or name.
  `List<HasActualComponentWithType>`
  `getHasComponentWiths()`
  Must be combined with at least one FindBy element.
  `String`
  `getLang()`
  Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility.
  `Instant`
  `getSearchDate()`
  Gets the value of the searchDate property.
  `void`
  `setFindByCompany(FindByCompanyType value)`
  Sets the value of the findByCompany property.
  `void`
  `setFindByDmpp(DmppKeyType value)`
  Sets the value of the findByDmpp property.
  `void`
  `setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)`
  Sets the value of the findByGenericPrescriptionGroup property.
  `void`
  `setFindByPackage(FindByPackageType value)`
  Sets the value of the findByPackage property.
  `void`
  `setFindByProduct(FindByActualProductType value)`
  Sets the value of the findByProduct property.
  `void`
  `setFindByVirtualProduct(FindByVirtualProductType value)`
  Sets the value of the findByVirtualProduct property.
  `void`
  `setLang(String value)`
  Sets the value of the lang property.
  `void`
  `setSearchDate(Instant value)`
  Sets the value of the searchDate property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindAmpRequest

    public FindAmpRequest()

- ## Method Details

  - ### getFindByProduct

    public FindByActualProductType getFindByProduct()
    Search by AMP code or a combination of name parts. All AMPs matching all name parts are returned.
    Returns:
      possible object is `FindByActualProductType`

  - ### setFindByProduct

    public void setFindByProduct(FindByActualProductType value)
    Sets the value of the findByProduct property.
    Parameters:
      `value` - allowed object is `FindByActualProductType`
    See Also:
      - `getFindByProduct()`

  - ### getFindByPackage

    public FindByPackageType getFindByPackage()
    Search an AMP based on an AMPP identifier or any package name part. If an AMPP matches, the complete AMP is returned.
    Returns:
      possible object is `FindByPackageType`

  - ### setFindByPackage

    public void setFindByPackage(FindByPackageType value)
    Sets the value of the findByPackage property.
    Parameters:
      `value` - allowed object is `FindByPackageType`
    See Also:
      - `getFindByPackage()`

  - ### getFindByDmpp

    public DmppKeyType getFindByDmpp()
    Search an AMP based on a DMPP identifier. All products with packages linked to the given DMPP are returned.
    Returns:
      possible object is `DmppKeyType`

  - ### setFindByDmpp

    public void setFindByDmpp(DmppKeyType value)
    Sets the value of the findByDmpp property.
    Parameters:
      `value` - allowed object is `DmppKeyType`
    See Also:
      - `getFindByDmpp()`

  - ### getFindByIngredients

    public List<FindByIngredientType> getFindByIngredients()
    Search an AMP based on ingredients. All AMPs containing all requested ingredients are returned. Gets the value of the findByIngredients property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the findByIngredients property.

    For example, to add a new item, do as follows:

         getFindByIngredients().add(newItem);

    Objects of the following type(s) are allowed in the list `FindByIngredientType`

    Returns:
      The value of the findByIngredients property.

  - ### getFindByVirtualProduct

    public FindByVirtualProductType getFindByVirtualProduct()
    Search an AMP based on corresponding VMP code or name. For more complex searches, first call the FindVmp service to get the VMPCodes.
    Returns:
      possible object is `FindByVirtualProductType`

  - ### setFindByVirtualProduct

    public void setFindByVirtualProduct(FindByVirtualProductType value)
    Sets the value of the findByVirtualProduct property.
    Parameters:
      `value` - allowed object is `FindByVirtualProductType`
    See Also:
      - `getFindByVirtualProduct()`

  - ### getFindByGenericPrescriptionGroup

    public FindByGenericPrescriptionGroupType getFindByGenericPrescriptionGroup()
    Search an AMP based on corresponding Generic Prescription Group code or name.
    Returns:
      possible object is `FindByGenericPrescriptionGroupType`

  - ### setFindByGenericPrescriptionGroup

    public void setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)
    Sets the value of the findByGenericPrescriptionGroup property.
    Parameters:
      `value` - allowed object is `FindByGenericPrescriptionGroupType`
    See Also:
      - `getFindByGenericPrescriptionGroup()`

  - ### getFindByCompany

    public FindByCompanyType getFindByCompany()
    Search an AMP based on the distributing company.
    Returns:
      possible object is `FindByCompanyType`

  - ### setFindByCompany

    public void setFindByCompany(FindByCompanyType value)
    Sets the value of the findByCompany property.
    Parameters:
      `value` - allowed object is `FindByCompanyType`
    See Also:
      - `getFindByCompany()`

  - ### getHasComponentWiths

    public List<HasActualComponentWithType> getHasComponentWiths()
    Must be combined with at least one FindBy element. Only those AMPs who have a component matching these attributes will be returned. Gets the value of the hasComponentWiths property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the hasComponentWiths property.

    For example, to add a new item, do as follows:

         getHasComponentWiths().add(newItem);

    Objects of the following type(s) are allowed in the list `HasActualComponentWithType`

    Returns:
      The value of the hasComponentWiths property.

  - ### getLang

    public String getLang()
    Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility. See RFC 3066 at http://www.ietf.org/rfc/rfc3066.txt and the IANA registry at http://www.iana.org/assignments/lang-tag-apps.htm for further information. The union allows for the 'un-declaration' of xml:lang with the empty string.
    Returns:
      possible object is `String`

  - ### setLang

    public void setLang(String value)
    Sets the value of the lang property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLang()`

  - ### getSearchDate

    public Instant getSearchDate()
    Gets the value of the searchDate property.
    Returns:
      possible object is `String`

  - ### setSearchDate

    public void setSearchDate(Instant value)
    Sets the value of the searchDate property.
    Parameters:
      `value` - allowed object is `String`